Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface StrucDocList

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  StrucDocListImpl

    public interface StrucDocList

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Struc Doc List'.

The following features are supported:

- `Caption`
- `Item`
- `ID`
- `Language`
- `List Type`
- `Style Code`

See Also:
  `CDAR2Package.getStrucDocList()`

Method Summary
`StrucDocCaption` | `getCaption()` Returns the value of the 'Caption' containment reference.
`java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
`org.eclipse.emf.common.util.EList` | `getItem()` Returns the value of the 'Item' containment reference list.
`java.lang.String` | `getLanguage()` Returns the value of the 'Language' attribute.
`ListTypeType` | `getListType()` Returns the value of the 'List Type' attribute.
`java.util.List` | `getStyleCode()` Returns the value of the 'Style Code' attribute.
`boolean` | `isSetListType()` Returns whether the value of the '`List Type`' attribute is set.
`void` | `setCaption(StrucDocCaption value)` Sets the value of the '`Caption`' containment reference.
`void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
`void` | `setLanguage(java.lang.String value)` Sets the value of the '`Language`' attribute.
`void` | `setListType(ListTypeType value)` Sets the value of the '`List Type`' attribute.
`void` | `setStyleCode(java.util.List value)` Sets the value of the '`Style Code`' attribute.
`void` | `unsetListType()` Unsets the value of the '`List Type`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCaption

    StrucDocCaption getCaption()

  Returns the value of the 'Caption' containment reference.

  If the meaning of the 'Caption' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Caption' containment reference.
  See Also:
    `setCaption(StrucDocCaption)`, `CDAR2Package.getStrucDocList_Caption()`

### setCaption

    void setCaption(StrucDocCaption value)

  Sets the value of the '`Caption`' containment reference.

  Parameters:
    `value` - the new value of the 'Caption' containment reference.
  See Also:
    `getCaption()`

### getItem

    org.eclipse.emf.common.util.EList getItem()

  Returns the value of the 'Item' containment reference list. The list contents are of type `StrucDocItem`.

  If the meaning of the 'Item' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Item' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocList_Item()`

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `CDAR2Package.getStrucDocList_ID()`

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`

### getLanguage

    java.lang.String getLanguage()

  Returns the value of the 'Language' attribute.

  If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Language' attribute.
  See Also:
    `setLanguage(String)`, `CDAR2Package.getStrucDocList_Language()`

### setLanguage

    void setLanguage(java.lang.String value)

  Sets the value of the '`Language`' attribute.

  Parameters:
    `value` - the new value of the 'Language' attribute.
  See Also:
    `getLanguage()`

### getListType

    ListTypeType getListType()

  Returns the value of the 'List Type' attribute. The default value is `"unordered"`. The literals are from the enumeration `ListTypeType`.

  If the meaning of the 'List Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'List Type' attribute.
  See Also:
    `ListTypeType`, `isSetListType()`, `unsetListType()`, `setListType(ListTypeType)`, `CDAR2Package.getStrucDocList_ListType()`

### setListType

    void setListType(ListTypeType value)

  Sets the value of the '`List Type`' attribute.

  Parameters:
    `value` - the new value of the 'List Type' attribute.
  See Also:
    `ListTypeType`, `isSetListType()`, `unsetListType()`, `getListType()`

### unsetListType

    void unsetListType()

  Unsets the value of the '`List Type`' attribute.

  See Also:
    `isSetListType()`, `getListType()`, `setListType(ListTypeType)`

### isSetListType

    boolean isSetListType()

  Returns whether the value of the '`List Type`' attribute is set.

  Returns:
    whether the value of the 'List Type' attribute is set.
  See Also:
    `unsetListType()`, `getListType()`, `setListType(ListTypeType)`

### getStyleCode

    java.util.List getStyleCode()

  Returns the value of the 'Style Code' attribute.

  If the meaning of the 'Style Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Style Code' attribute.
  See Also:
    `setStyleCode(List)`, `CDAR2Package.getStrucDocList_StyleCode()`

### setStyleCode

    void setStyleCode(java.util.List value)

  Sets the value of the '`Style Code`' attribute.

  Parameters:
    `value` - the new value of the 'Style Code' attribute.
  See Also:
    `getStyleCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD